groovy.text.markup

## Class MarkupTemplateEngine.TemplateResource

- java.lang.Object
- - groovy.text.markup.MarkupTemplateEngine.TemplateResource

- Enclosing class:
    MarkupTemplateEngine

      public static class MarkupTemplateEngine.TemplateResource
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasLocale()`
    `static MarkupTemplateEngine.TemplateResource` | `parse(String fullPath)`
    `String` | `toString()`
    `MarkupTemplateEngine.TemplateResource` | `withLocale(String locale)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### parse

          public static MarkupTemplateEngine.TemplateResource parse(String fullPath)

    - #### withLocale

          public MarkupTemplateEngine.TemplateResource withLocale(String locale)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hasLocale

          public boolean hasLocale()